it.csi.mddtools.guigen

## Interface PanelDefUse

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Panel

      public interface PanelDefUse
      extends Panel

  A representation of the model object 'Panel Def Use'. Serve per utilizzare in una applicazione reale un PanelDef.

  The following features are supported:

  - `Panel Def`
  - `Config`
  See Also:
    `GuigenPackage.getPanelDefUse()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDefUseConfig` | `getConfig()` Returns the value of the 'Config' containment reference
    `PanelDef` | `getPanelDef()` Returns the value of the 'Panel Def' reference
    `void` | `setConfig(PDefUseConfig value)` Sets the value of the '`Config`' containment reference
    `void` | `setPanelDef(PanelDef value)` Sets the value of the '`Panel Def`' reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPanelDef

          PanelDef getPanelDef()

      Returns the value of the 'Panel Def' reference.

      If the meaning of the 'Panel Def' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Panel Def' reference.
      See Also:
        `setPanelDef(PanelDef)`, `GuigenPackage.getPanelDefUse_PanelDef()`

    - #### setPanelDef

          void setPanelDef(PanelDef value)

      Sets the value of the '`Panel Def`' reference.
      Parameters:
        `value` - the new value of the 'Panel Def' reference.
      See Also:
        `getPanelDef()`

    - #### getConfig

          PDefUseConfig getConfig()

      Returns the value of the 'Config' containment reference.

      If the meaning of the 'Config' containment reference isn't clear, there really should be more of a description here...

      Configurazione del componente
      Returns:
        the value of the 'Config' containment reference.
      See Also:
        `setConfig(PDefUseConfig)`, `GuigenPackage.getPanelDefUse_Config()`

    - #### setConfig

          void setConfig(PDefUseConfig value)

      Sets the value of the '`Config`' containment reference.
      Parameters:
        `value` - the new value of the 'Config' containment reference.
      See Also:
        `getConfig()`